Page MenuHomePhabricator

Change Efl.Canvas.Text.Cursor to be a handle, again
Closed, ResolvedPublic

Description

As requested, the Cursor API will not longer use the cursor as an object.
It will remain as a handle.
With EO, it means that calls will be in the form of:
efl_canvas_text_cursor_next(text_obj, cursor) i.e. will require the text object to be passed.

This will require to move all the events to Canvas.Text.
Also, needs to update all dependent objects and binaries.

herdsman claimed this task.
herdsman updated the task description. (Show Details)
herdsman triaged this task as Normal priority.
cedric raised the priority of this task from Normal to High.Jul 10 2017, 2:20 PM
zmike added a project: efl.Aug 22 2017, 3:36 PM
herdsman closed this task as Resolved.Sep 11 2017, 12:06 AM